Bug 597689 - Pointless /etc/security/namespace.init.rpmnew file created
Pointless /etc/security/namespace.init.rpmnew file created
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
14
All Linux
low Severity low
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
:
: 597688 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-30 00:54 EDT by D. Wagner
Modified: 2012-11-19 06:54 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 15:50:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description D. Wagner 2010-05-30 00:54:18 EDT
Description of problem:

I upgraded from F12 to F13.  After the upgrade, I have a new file
/etc/security/namespace.init.rpmnew which is an identical duplicate of /etc/security/namespace.init.

# ls -l /etc/security/namespace.init*
-rwxr-xr-x. 1 root root 1020 Feb 15 09:34 /etc/security/namespace.init
-rwxr-xr-x. 1 root root 1020 Feb 15 09:42 /etc/security/namespace.init.rpmnew
# sha1sum /etc/security/namespace.init*
e883f9280e3d56ea1bd9448963491d4f5507343e  /etc/security/namespace.init
e883f9280e3d56ea1bd9448963491d4f5507343e  /etc/security/namespace.init.rpmnew

There is no need to create a .rpmnew file in this case.  I suspect this is a
RPM packaging error, perhaps related to multilib/multiarch support.

Version-Release number of selected component (if applicable):

# rpm -q -f /etc/security/namespace.init
pam-1.1.1-4.fc13.x86_64
pam-1.1.1-4.fc13.i686
Comment 1 Tomas Mraz 2010-05-31 05:39:27 EDT
The file is identical so there should not be a multilib conflict I think.

Seems like rpm bug?
Comment 2 Panu Matilainen 2010-05-31 07:31:19 EDT
IIRC that happens when the in-package contents change in a file shared between several packages (eg multilib packages with shared %config): during the transaction there's a window between where on-disk contents of such files differ from the expected result so a backup file ends up being created because of that intermediate state.

So yeah its a bug, but not exactly a critical one.
Comment 3 Nalin Dahyabhai 2010-06-02 10:53:17 EDT
*** Bug 597688 has been marked as a duplicate of this bug. ***
Comment 4 Bug Zapper 2011-06-02 08:49:18 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 D. Wagner 2011-06-24 17:08:26 EDT
This long-standing bug is still present.  It just happened again to me, this time on Fedora 14.

# ls -l /etc/security/namespace.init*
-rwxr-xr-x. 1 root root 1020 Nov  2  2010 /etc/security/namespace.init
-rwxr-xr-x. 1 root root 1020 Nov  2  2010 /etc/security/namespace.init.rpmnew
# sha1sum /etc/security/namespace.init*
e883f9280e3d56ea1bd9448963491d4f5507343e  /etc/security/namespace.init
e883f9280e3d56ea1bd9448963491d4f5507343e  /etc/security/namespace.init.rpmnew
# rpm -q pam
pam-1.1.1-6.fc14.x86_64
pam-1.1.1-6.fc14.i686

Obviously, it is annoying when upgrading the package creates a needless .rpmnew file.  I suspect this affects 100% of your 64-bit users.
Comment 6 mathew 2012-03-28 12:49:28 EDT
I just hit this bug again on Red Hat Enterprise Linux Server release 5.7 (Tikanga) on multiple packages. Affected files:

/etc/multipath.conf.rpmnew
/etc/odbcinst.ini.rpmnew
/etc/pki/tls/certs/ca-bundle.crt.rpmnew

All identical to the non-rpmnew versions. So if it's a packaging problem, it's a pretty common one, and I think it would be a good idea to make RPM deal with it.
Comment 7 Fedora End Of Life 2012-08-16 15:50:41 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 mathew 2012-08-16 15:59:12 EDT
As mentioned above, this bug affects RHEL 5 as well, and RHEL 5 is not at end of life.
Comment 9 Tomas Mraz 2012-08-16 16:06:15 EDT
Please use regular support channels (http://www.redhat.com/support) to report your issues with Red Hat Enterprise Linux.
Comment 10 mathew 2012-08-16 16:20:30 EDT
It's not an issue I need a paid resolution for. I was just informing you, in the apparently mistaken belief that you would like to improve your product.
Comment 11 Panu Matilainen 2012-11-19 06:54:39 EST
This should be fixed in rawhide now - rpm >= 4.11 fixes numerous cases of both redundant backups and missing backups where one should be created. Don't expect backports though, the required changes are rather involved and invasive.

Note You need to log in before you can comment on or make changes to this bug.